var f=null;
function addc(xs)
{
	if (f==null)
		return;

	f.value+=xs;
}
function clearc()
{
	if (f!=null)
		f.value='';
}
function zero2(x)
{
	var s2zero=x.toString();

   if (s2zero.length<2)
   	s2zero='0'+s2zero;

   return s2zero;
}
function gonext(x)
{
	var f1=document.forms[0];
	f1.FUNCTION.value=x;
	if (f1.CLIDATE!=null) {
		var d1=new Date();
		f1.CLIDATE.value=d1.getFullYear()+'-'+zero2(d1.getMonth()+1)+'-'+zero2(d1.getDate());
		f1.CLITIME.value=zero2(d1.getHours())+':'+zero2(d1.getMinutes())+':'+zero2(d1.getSeconds());
	}
	f1.submit();
}
